Skip to main content

Trade Book

List of Trades of the account Request to be POSTed to uri : /NorenWClientAPI/TradeBook

Request Details :

Json FieldsPossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*Logged in User Id
actid*Account Id of logged in user

Example:

curl --location 'https://api.kambala.co.in/NorenWClientAPI/TradeBook' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer 14f48b1dea3e8d07f9dcb3308848f989497223e055147cb9aaf3892a2e292dbb' \
--data 'jData={"uid":"DEMO", "actid":"DEMO"}'

Response Details :

Response data will be in json Array of objects with below fields in case of success.

Json FieldsPossible valueDescription
statOk or Not_OkOrder book success or failure indication.
norenordnoNoren Order Number
uidLogged in User Id
actidLogin users account ID
exchExchange Segment
prctypLMTPrice type
retDAY / IOC / EOSOrder validity
s_prdt_aliProduct display name
prdDisplay product alias name, using prarr returned in user details.
flidFill ID
fltmFill Time
trantypeB / STransaction type of the order
tsymTrading symbol / contract on which order is placed.
qtyOrder Quantity
tokenToken
fillsharesTotal Traded Quantity of this order
flqtyFill Qty
multMultiplier
ppPrice precision
lsLot size
tiTick size
prcOrder Price
prcftrContract price factor (GNPN)/(GDPD), (used for order value calculation)
flprcFill Price
norentmNoren time stamp
avgprcAverage trade price of total traded quantity
exch_tmExchange update time Format: dd-mm-YYYY hh:MM:SS
remarksAny message Entered during order entry.
exchordidExchange Order Number
cstFrmCustom Firm
ordersourceOrder Source
snoordt0 for profit leg and 1 for stoploss leg
snonumThis field will be present for product H and B; and only if it is profit/sl order.

Response data will be in json format with below fields in case of failure:

Json FieldsPossible valueDescription
statNot_OkOrder book failure indication.
request_timeResponse received time.
emsgError message

Sample Success Response :


[
[
{
"stat": "Ok",
"norenordno": "26011500000656",
"uid": "DEMO",
"actid": "DEMO",
"exch": "NSE",
"prctyp": "LMT",
"ret": "DAY",
"s_prdt_ali": "NRML",
"prd": "M",
"flid": "180",
"fltm": "15-01-2026 15:53:32",
"trantype": "B",
"tsym": "EDELWEISS-EQ",
"qty": "1",
"token": "15119",
"fillshares": "1",
"flqty": "1",
"mult": "1",
"pp": "2",
"ls": "1",
"ti": "0.01",
"prc": "120.00",
"prcftr": "1.000000",
"flprc": "120.00",
"norentm": "15:53:32 15-01-2026",
"avgprc": "120.00",
"exch_tm": "15-01-2026 15:53:32",
"remarks": "",
"exchordid": "178"
}
]
]

Sample Failed Response :

{
"stat": "Not_Ok",
"emsg": "Session Expired : Invalid Session Key"
}